--- old/usr/src/cmd/newtask/newtask.c	Sat Apr 20 14:17:48 2013
+++ new/usr/src/cmd/newtask/newtask.c	Sat Apr 20 14:17:48 2013
@@ -20,12 +20,12 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright (c) 2013 Gary Mills
+ *
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/task.h>
 
@@ -696,7 +696,8 @@
 	if (projname == NULL || getuid() == (uid_t)0)
 		return (pw);
 
-	(void) strcpy(username, pw->pw_name);
+	(void) strncpy(username, pw->pw_name, sizeof (username) - 1);
+	username[sizeof (username) - 1] = '\0';
 
 	if (inproj(username, projname, prbuf, PROJECT_BUFSZ) == 0) {
 		char **u;
